Packager: Steffen Plotner
Summary: iscsiportal 
Name: iscsiportal
Version: 1.0
Release: 1.amherst
Epoch: 1
License: GPL
Group: System Environment/Daemons
Source0: %{name}-%{version}.tar.gz
BuildArch: noarch
Requires(post): /sbin/chkconfig, /sbin/service
Requires(preun): /sbin/chkconfig, /sbin/service
BuildRoot: %{_tmppath}/%{name}-%{version}-root
%define initdir %{_sysconfdir}/rc.d/init.d

%description
The iscsi-portal acts as an intermediary agent during discovery
and normal sessions. Normal sessions are redirected to a target
endpoint. Since the iscsi-portal receives a connection from an
initiator, it acts as a target to the initiator. The iscsi-portal
also interacts with the targets exposed by iSCSI Enterprise Target (IET),
hence the iscsi-portal is an initiator to the IET targets.

%prep
%setup

%build

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/etc/iscsi-portal
mkdir $RPM_BUILD_ROOT/etc/iscsi-portal/etc
mkdir $RPM_BUILD_ROOT/etc/iscsi-portal/state
mkdir $RPM_BUILD_ROOT/etc/iscsi-portal/lib
mkdir -p $RPM_BUILD_ROOT/%{initdir}

cp -av etc/config.pm $RPM_BUILD_ROOT/etc/iscsi-portal/etc
cp -av iscsi_* $RPM_BUILD_ROOT/etc/iscsi-portal
cp -av lib/* $RPM_BUILD_ROOT/etc/iscsi-portal/lib
cp -av iscsi-portal.init $RPM_BUILD_ROOT/%{initdir}/iscsi-portal

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README
%config(noreplace) /etc/iscsi-portal/etc/config.pm
%config(noreplace) /etc/iscsi-portal/state
/etc/iscsi-portal/*
%attr(755,root,root) /%{initdir}/iscsi-portal

%pre

%post
/sbin/chkconfig --add iscsi-portal
if [ "$1" -ge "1" ]; then
	/sbin/service iscsi-portal >/dev/null 2>&1 || :
fi
exit 0

%preun
if [ $1 = 0 ] ; then
	/sbin/service iscsi-portal stop >/dev/null 2>&1 || :
	/sbin/chkconfig --del iscsi-portal
fi
exit 0


%postun

%changelog
* Mon Jul 11 2011 Steffen Plotner <swplotner@amherst.edu>
- initial package

